# handmade example for query.tcl
# 
# accessing several linked tables with
# item(vendid) == venda(vendid) and item(prodid) == produto(prodid)  
# -- use the same field name for the 2 relations --
# 
# Notice that all query commands are only the few lines just below
# and the commands attached to the buttons. (isn't that easy?)

source query.tcl

query_init
query_opendb loja
query venda -idattr vendid
query item -idattr itemid -multiple 1
query produto -idattr prodid -multiple 1
item add produto
item add venda
item select

label .lb1 -text "venda#"
entry .e1 -textvariable item(0,vendid)
grid .lb1 .e1 -padx 5 -pady 5
frame .sep1 -height 4 -bd 2 -relief sunken
grid .sep1 -padx 5 -pady 15

for {set i 0} {$i < 4} {incr i} {
	grid [entry .iq$i -textvariable item($i,iquant)] \
		[entry .pn$i -textvariable item($i,pnome)]
}

frame .bts
button .bts.quit -text quit -command exit
pack .bts.quit -side left -expand 1
grid .bts -columnspan 2

